Bug 850069 - Introduce new systemd-rpm macros in couchdb spec file
Introduce new systemd-rpm macros in couchdb spec file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: couchdb (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 09:30 EDT by Lukáš Nykrýn
Modified: 2013-08-28 02:51 EDT (History)
1 user (show)

See Also:
Fixed In Version: couchdb-1.3.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-28 02:51:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:30:24 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Fedora Update System 2013-01-22 03:31:53 EST
couchdb-1.2.1-1.fc18.1 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/couchdb-1.2.1-1.fc18.1
Comment 2 Fedora Update System 2013-01-22 03:49:06 EST
couchdb-1.2.1-1.fc17.1 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/couchdb-1.2.1-1.fc17.1
Comment 3 Peter Lemenkov 2013-01-22 08:48:51 EST
WONTFIX (I need these patches to be available in all supported Fedora releases forst).
Comment 4 Peter Lemenkov 2013-08-17 03:26:51 EDT
OK, It's time to reopen this.

Note You need to log in before you can comment on or make changes to this bug.